/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SELECTIONWIDGET_H
#define SELECTIONWIDGET_H

#include "global.h"
#include "selection.h"

#include <QDialog>

class QLabel;

class SelectionWidget : public QDialog, KitsuneFonts {
	Q_OBJECT
	
  private:
	map<tile, int> currentChoice; //to store the currentChoice of tiles until validation
	
  public:
	SelectionWidget( QWidget *parent=0 );

  public slots:
	void selectionTileClicked(int tile_id, bool increase);
	void modifOk();
	void modifDefault();
	
  signals:
	void changeTile(int, int);
};

#endif

